### Method

# GLib VariantDict end

since: 2.40

#### Declaration

    GVariant*
    g_variant_dict_end (
      GVariantDict* dict
    )

#### Description

Returns the current value of `dict` as a `GVariant` of type `G_VARIANT_TYPE_VARDICT`, clearing it in the process.

It is not permissible to use `dict` in any way after this call except for reference counting operations (in the case of a heap-allocated `GVariantDict`) or by reinitialising it with `g_variant_dict_init()` (in the case of stack-allocated).

Available since: 2.40

#### Return value

Type: `GVariant`

A new, floating, `GVariant`.

The returned data is owned by the instance.